> For the complete documentation index, see [llms.txt](https://docs.sparkloop.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sparkloop.app/api-v2/objects-schema/subscriber-object.md).

# Subscriber Object

### Example

```json
{
  "uuid": "sub_4bc1056297",
  "email": "drago@sparkloop.app",
  "name": null,
  "ref_code": "c784ef4f",
  "referrer_code": null,
  "referred": true,
  "referral_status": "verified",
  "ip_address": null,
  "user_agent": null,
  "origin": "signup",
  "country_code": "US",
  "cpa": 5.0,
  "utm_source": null,
  "utm_campaign": null,
  "created_at": "2021-03-24T11:55:02.113Z"
}
```

<table><thead><tr><th width="217">Property</th><th width="140.66666666666666">Type</th><th>Description</th></tr></thead><tbody><tr><td>uuid</td><td>string</td><td>the unique ID of the subscriber</td></tr><tr><td>email</td><td>string</td><td>the email address of the subscriber</td></tr><tr><td>name</td><td>string</td><td>the name of the subscriber</td></tr><tr><td>ref_code</td><td>string</td><td>the referral code of the subscriber</td></tr><tr><td>referrer_code</td><td>string</td><td>the referral code of the subscriber's referrer</td></tr><tr><td>referred</td><td>boolean</td><td>flag to indicate whether this subscriber was referred</td></tr><tr><td>referral_status</td><td>string</td><td>the referral status of the subscriber. Possible values: verified, pending, rejected.</td></tr><tr><td>ip_address</td><td>string</td><td>the ip address of the subscriber</td></tr><tr><td>user_agent</td><td>string</td><td>the user agent of the subscriber</td></tr><tr><td>origin</td><td>string</td><td>the origin of the subscriber. For example: "signup", "sparkloop-upscribe", etc</td></tr><tr><td>cpa</td><td>float</td><td>the cpa of the subscriber (for subscribers acquired via paid channels only)</td></tr><tr><td>utm_source</td><td>string</td><td>the acquisition source of the subscriber</td></tr><tr><td>utm_campaign</td><td>string</td><td>the acquistion campaign of the subscriber</td></tr><tr><td>created_at</td><td>timestamp</td><td>the date the subscriber was created</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sparkloop.app/api-v2/objects-schema/subscriber-object.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
